import request from "@/utils/request";

// 设备维修计划维护

// 获取列表
export function getList(data) {
  return request({
    url: "/emSbwxjh/getList",
    method: "post",
    data,
  });
}

// 设备信息转码
export function emSbjbbZM(data) {
  return request({
    url: "/api/sy/emSbjbbZM",
    method: "post",
    data,
  });
}

// 部门对应设备名称和编号
export function getBMMCBM(data) {
  return request({
    url: "/emSbjbb/getBMMCBM",
    method: "post",
    data,
  });
}

// 批量新增
export function save(data) {
  return request({
    url: "/emSbwxjh/save",
    method: "post",
    data,
  });
}
// 批量修改
export function update(data) {
  return request({
    url: "/emSbwxjh/update",
    method: "post",
    data,
  });
}

// 批量删除
export function delete1(data) {
  return request({
    url: "/emSbwxjh/delete",
    method: "post",
    data,
  });
}
